﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace EntityDocumentation.Overview
{
    /// <summary>
    /// Interaction logic for Action.xaml
    /// </summary>
    public partial class Action : Window
    {
        public Action()
        {
            InitializeComponent();
            solutionCombo.ItemsSource = Helper.Header.SolutionArea;
            SelectSolutionArea();
        }

        private void SelectSolutionArea()
        {
            grid.ItemsSource = null;

            if (solutionCombo.SelectedValue != null)
            {
                string solution = (string)solutionCombo.SelectedValue;
                foreach (var xxx in (from l in Helper.Header.SolutionArea where l.ServiceLocator == solution select l))
                {
                    grid.ItemsSource = (Data.ActionList)xxx.ActionList;
                }

            }
        }

        private void ClickOpenAction(object sender, RoutedEventArgs e)
        {
            if (grid.ItemsSource == null) return;
            Data.Action data = (Data.Action)grid.SelectedValue;
            Screen.Action f = new Screen.Action(data);
            f.ShowDialog();
        }

        private void ClickOpenInputProperties(object sender, RoutedEventArgs e)
        {
            if (grid.ItemsSource == null) return;
            Data.Action data = (Data.Action)grid.SelectedValue;
            if (data == null) return;
            Property f = new Property(data.InputPropertyList);
            f.ShowDialog();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void SolutionComboSelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            SelectSolutionArea();
        }

        private void ClickOpenOutputProperties(object sender, RoutedEventArgs e)
        {
            if (grid.ItemsSource == null) return;
            Data.Action data = (Data.Action)grid.SelectedValue;
            if (data == null) return;
            Property f = new Property(data.OutputPropertyList);
            f.ShowDialog();
        }
    }
}
