﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.IO;

namespace EntityDocumentation.Overview
{
    /// <summary>
    /// Interaction logic for Entity.xaml
    /// </summary>
    public partial class Entity : Window
    {
        //private Data.EntityList list = new Data.EntityList();

        public Entity()
        {
            InitializeComponent();
            solutionCombo.ItemsSource = Helper.Header.SolutionArea;
            ////grid.ItemsSource = Helper.Header.;
            //if (solutionCombo.SelectedValue == null)
            //    grid.ItemsSource = null;
            //else
            //    grid.ItemsSource = (from l in Helper.Header.SolutionArea where l.ServiceLocator == solutionCombo.SelectedValue select l);
            SelectSolutionArea();
        }

        private void ClickOpenEntity(object sender, RoutedEventArgs e)
        {
            if (grid.ItemsSource == null) return;
            Data.Entity data = (Data.Entity)grid.SelectedValue;
            Screen.Entity f = new Screen.Entity(data);
            f.ShowDialog();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

        }

        private void SolutionComboSelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            SelectSolutionArea();
        }

        private void SelectSolutionArea()
        {
            grid.ItemsSource = null;           

            if (solutionCombo.SelectedValue != null)
            {
                string solution = (string)solutionCombo.SelectedValue;
                foreach (var xxx in (from l in Helper.Header.SolutionArea where l.ServiceLocator == solution select l))
                {
                    grid.ItemsSource = (Data.EntityList)xxx.EntityList;
                }

            }
        }

        private void ClickBrowseProperties(object sender, RoutedEventArgs e)
        {
            if (grid.ItemsSource == null) return;
            Data.Entity data = (Data.Entity)grid.SelectedValue;
            if (data == null) return;
            Property f = new Property(data.PropertyList);
            f.ShowDialog();
        }


    }
}
